/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import <EOControl/EOControl.h>

@class Member;
@class Unit;

@interface Customer : NSObject
{
    NSNumber *customerID;
    NSString *firstName;
    NSString *lastName;
    NSArray *rentals;
}

// Accessors
- (NSArray *)fees;
- (Member *)member;
- (NSDecimalNumber *)costRestriction;

// Accessor with filtering and/or logic.
- (NSArray *)allRentals;
- (NSArray *)nonReturnedRentals;
- (NSArray *)unpaidFees;
- (BOOL)hasOverdueProducts;
- (NSString *)fullName;

// Pure business logic code
- (void)rentUnit:(Unit *)unit;

@end
