// EOJoin.h
// Copyright (c) 1994, NeXT Software, Inc. All rights reserved. 

#import <EOControl/EOControl.h>

@class EOEntity;
@class EOAttribute;

// An EOJoin describes one source/destination attribute pair for a relationship.


@interface EOJoin : NSObject
{
    EOAttribute *_sourceAttribute;
    EOAttribute *_destinationAttribute;
}

- initWithSourceAttribute:(EOAttribute *)source
    destinationAttribute:(EOAttribute *)destination;
    // Initializes a newly allocated EOJoin with the given information.
    // Returns self.

- (EOAttribute *)sourceAttribute;
- (EOAttribute *)destinationAttribute;
    // These methods return the information held by the EOJoin.

- (BOOL)isReciprocalToJoin:(EOJoin *)otherJoin;
    // Is this a back-pointing join (part of in inverse relationship)
@end
