// EOModelExtensions.h
// Copyright (c) 1996, NeXT Software, Inc. All rights reserved. 

#import <EOInterface/EOInterface.h>
#import <EOAccess/EOAccess.h>

@interface EOEntity (EOModelExtensions)
- (NSArray *)classAttributes;
- (NSArray *)classScalarAttributes;
- (NSArray *)classNonScalarAttributes;
- (NSArray *)classToManyRelationships;
- (NSArray *)classToOneRelationships;
- (NSArray *)referencedClasses;
    // non-generic record relationship destination classNames
- (NSString *)referenceClassName;
    // Returns "id" if className == "EOGenericRecord" or "<className> *"
    // otherwise
@end

@interface EOAttribute (EOModelExtensions)
- (NSString *)cScalarTypeString;
@end

@interface NSMutableAttributedString (_EOModelerErrorConstruction)
+ (NSMutableAttributedString *)mutableAttributedStringWithBoldSubstitutionsWithFormat:(NSString *)format, ...;
    // This method doesn't handle most format strings. Actually, it expects
    // every substitution to be "%@" and every variable to be an NSString.
    // Kind of limited, but it works well for generating errors of consistency checking.
@end

