// EOPickTextAssociation
// Enterprise Objects Framework
// Copyright (c) 1995, NeXT Software, Inc.  All rights reserved. 
//
// The EOPickTextAssociation applies a qualifier to a DisplayGroup
// based on the contents of its text control.
// Supported Bindings:
//     matchKey1:   Key to match field text to with LIKE qualifier.
//     matchKey2:   Key to match field text to with LIKE qualifier
//     matchKey3:   Key to match field text to with LIKE qualifier
// One or more of the above aspects may be bound.  When the text of the
// association's control changes, a qualifier is contructed of the form:
//   (<matchKey1> LIKE "*<text>*") OR (<matchKey2> LIKE "*<text>*")
// E.g. in a list of people matchKey1 and matchKey2 might be bound to
// "lastName" and "firstName".  If the user then types "Bi" in the field,
// the association would apply the following qualifier to the display group:
//   (lastName LIKE "*Bi*") OR (firstName LIKE "*Bi>*")
// which might match "Bill Smith" and "Joe Biggs".
//
#import <EOInterface/EOAssociation.h>

@interface EOPickTextAssociation : EOAssociation
{
    // our object can be either a NSControl subclass or an NSActionCell
    BOOL _applyImmediately;  // apply on each key press?
}
@end

