/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import <EOAccess/EOAccess.h>

#define FlatFilePathKey            @"path"
#define FlatFileFilesKey           @"files"
#define FlatFileRowSeparatorKey    @"rowSeparator"
#define FlatFileColumnSeparatorKey @"columnSeparator"
#define FlatFileUseHeadersKey      @"useHeaders"

#define FlatFileCalendarFormat @"%Y-%m-%d %H:%M:%S %z"

@interface FlatFileAdaptor:EOAdaptor
{
}

+ (NSString *)defaultRowSeparator;
+ (NSString *)defaultColumnSeparator;
+ (NSDictionary *)defaultConnectionDictionary;
+ (NSString *)columnHeaderSeparator;

- initWithName:(NSString *)name;
- (Class)expressionClass;
- (EOAdaptorContext *)createAdaptorContext;
- (BOOL)isValidQualifierType:(NSString *)typeName model:(EOModel *)model;
- (void)assertConnectionDictionaryIsValid;

@end

@interface FlatFileAdaptor (ExternalTypeMapping)

+ (NSString *)defaultExternalType;
+ (NSDictionary *)externalToInternalTypeMap;
+ (NSString *)internalTypeForExternalType:(NSString *)extType model:(EOModel *)model;
+ (NSArray *)externalTypesWithModel:(EOModel *)model;
+ (void)assignExternalInfoForAttribute:(EOAttribute *)attribute;
+ (void)assignExternalInfoForEntity:(EOEntity *)entity;
+ (void)assignExternalInfoForEntireModel:(EOModel *)model;

@end
