/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import "FlatFileAdaptor.h"
#import "FlatFileChannel.h"

@class EOAttribute;

@interface FlatFileColumn:NSObject
{
    EOAttribute *attribute;
    int bindingIndex;
}

+ (Class)columnClassForAttribute:(EOAttribute *)attr;
+ columnForAttribute:(EOAttribute *)attr;

- initWithAttribute:(EOAttribute*)attr;
- (void)bindAtIndex:(int)index;
- (int)bindingIndex;
- (id)newValueForBytes:(void *)bytes length:(int)length;

@end

@interface FlatFileNumberColumn:FlatFileColumn
{
    BOOL useIntValue;
}

- (id)newValueForBytes:(void *)bytes length:(int)length;

@end

@interface FlatFileStringColumn:FlatFileColumn
{
    NSStringEncoding encoding;
}

- initWithAttribute:(EOAttribute *)attr;
- (id)newValueForBytes:(void *)bytes length:(int)length;

@end

@interface FlatFileDataColumn:FlatFileColumn

- (id)newValueForBytes:(void *)bytes length:(int)length;

@end

@interface FlatFileDateColumn:FlatFileColumn
{
}

- (id)newValueForBytes:(void *)bytes length:(int)length;

@end
