/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import <EOAccess/EOAccess.h>

#import <AppKit/AppKit.h>

@interface FlatFileLoginPanel : EOLoginPanel
{
    NSTableView *fileTable;
    NSTextField *pathField;
    NSMatrix *rowSeparatorMatrix;
    NSMatrix *columnSeparatorMatrix;
    NSTextField *rowSeparatorField;
    NSTextField *columnSeparatorField;
    NSButton *removeFileButton;
    NSButton *columnHeadingButton;
    NSMutableArray *files;
    NSTextField *versionField;
}

- (NSDictionary *)runPanelForAdaptor:(EOAdaptor *)adaptor validate:(BOOL)yn;

// Private methods
- (void)cancel:sender;
- (void)login:sender;
- (void)setFiles:sender;
- (void)removeFile:sender;

- (void)didChangeSelection:(NSTableView *)sender;

- (void)setConnectionDictionary:(NSDictionary *)connectionInfo;
- (NSDictionary *)connectionDictionary;
    
@end
