create or replace procedure insert_movie (
  Category VARCHAR2,
  DateReleased DATE,
  Language NUMBER,
  Movie_ID NUMBER,
  Rating VARCHAR2,
  Revenue NUMBER,
  Studio_ID NUMBER,
  Title VARCHAR2
) IS
begin
  insert into movie ( category, date_released, language, movie_id,
    rating, revenue, studio_id, title) values (Category, DateReleased,
    Language, Movie_ID, Rating, Revenue, Studio_ID, Title);
end;
/

create or replace procedure delete_movie (Movie_ID number) IS
  tempID NUMBER;
begin
  tempID := Movie_ID;
  delete from movie where movie.movie_id = tempID;
end;
/

create or replace procedure NEXT_MOVIE_PRIMARY_KEY (a_movie_id OUT NUMBER) IS
begin
  select movie_seq.nextval into a_movie_id from dual;
end;
/

create or replace package movie_procedures as
  TYPE MovieCursorType is REF CURSOR return movie%ROWTYPE;
  PROCEDURE fetch_movies_all (rows IN OUT MovieCursorType);
  PROCEDURE fetch_movie_with_primary_key (aMovie_id int,
                                                rows IN OUT MovieCursorType);
end movie_procedures;
/

create or replace package body movie_procedures as
  PROCEDURE fetch_movies_all (rows IN OUT MovieCursorType) IS
  begin
    open rows for
    SELECT  t0.CATEGORY, t0.DATE_RELEASED, t0.LANGUAGE, t0.MOVIE_ID,
    t0.RATING, t0.REVENUE, t0.STUDIO_ID, t0.TITLE  FROM  MOVIE t0;
  end fetch_movies_all;

  PROCEDURE fetch_movie_with_primary_key (aMovie_id int,
                                                rows IN OUT MovieCursorType) IS
  begin
    open rows for
    SELECT  t0.CATEGORY, t0.DATE_RELEASED, t0.LANGUAGE, t0.MOVIE_ID,
    t0.RATING, t0.REVENUE, t0.STUDIO_ID, t0.TITLE  FROM  MOVIE t0
    WHERE t0.MOVIE_ID = aMovie_id;
  end fetch_movie_with_primary_key;
end movie_procedures;
/

