drop procedure DELETE_MOVIE
go
create procedure DELETE_MOVIE @MOVIE_ID int as
delete from MOVIE where MOVIE_ID = @MOVIE_ID
go

drop procedure INSERT_MOVIE
go
create procedure INSERT_MOVIE @CATEGORY varchar(20),
@DATE_RELEASED datetime, @LANGUAGE int, @MOVIE_ID int,
@RATING varchar(10), @REVENUE decimal, @STUDIO_ID int,
@TITLE varchar(255) as
insert into MOVIE (CATEGORY, DATE_RELEASED, LANGUAGE, MOVIE_ID,
  RATING, REVENUE, STUDIO_ID, TITLE) values (@CATEGORY, @DATE_RELEASED,
  @LANGUAGE, @MOVIE_ID, @RATING, @REVENUE, @STUDIO_ID, @TITLE)
go

drop procedure FETCH_MOVIES_ALL
go
create procedure FETCH_MOVIES_ALL as
SELECT  t0.CATEGORY, t0.DATE_RELEASED, t0.LANGUAGE, t0.MOVIE_ID,
t0.RATING, t0.REVENUE, t0.STUDIO_ID, t0.TITLE  FROM  MOVIE t0
go

drop procedure FETCH_MOVIE_WITH_PRIMARY_KEY
go
create procedure FETCH_MOVIE_WITH_PRIMARY_KEY @movie_id int as
SELECT  t0.CATEGORY, t0.DATE_RELEASED, t0.LANGUAGE, t0.MOVIE_ID,
t0.RATING, t0.REVENUE, t0.STUDIO_ID, t0.TITLE  FROM  MOVIE t0
WHERE t0.MOVIE_ID = @movie_id
go

drop procedure NEXT_MOVIE_PRIMARY_KEY
go
create procedure NEXT_MOVIE_PRIMARY_KEY @A_MOVIE_ID int out as
SELECT @A_MOVIE_ID = max(t0.MOVIE_ID) + 1 + (rand() * 5000) from MOVIE t0
go
